Mark Conversation Messages As Unread
curl --request DELETE \
--url https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/conversation/read \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>' \
--data '
{
"messageId": 123
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/conversation/read"
payload = { "messageId": 123 }
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
onBehalfOf: '<onbehalfof>',
apikey: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({messageId: 123})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/conversation/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "The messages after the message id 340 from the user demo1 are marked as unread for the user demo3."
}
}Conversations
Mark Conversation Messages As Unread
Allows you to mark messages within a conversation as unread
DELETE
/
users
/
{uid}
/
conversation
/
read
Mark Conversation Messages As Unread
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the receiver of the message
Path Parameters
UID of the user whose conversation is being accessed.
Body
application/json
The id of the message upto which the conversation needs to be marked as unread.
Response
200 - application/json
Marking Conversation as unread
Was this page helpful?
⌘I